postTopups :: MonadHTTP m=> PostTopupsRequestBodyThe request body to send
-> ClientT m (Response PostTopupsResponse)Monadic computation which returns the result of the operation
POST /v1/topups<p>Top up the balance of an account</p>
:: a typeCtrl KGHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05
Modulestripeapi-3.0.0.0Haskell2010
Contains the different functions to run the operation postTopups
postTopups :: MonadHTTP m=> PostTopupsRequestBodyThe request body to send
-> ClientT m (Response PostTopupsResponse)Monadic computation which returns the result of the operation
POST /v1/topups<p>Top up the balance of an account</p>
Defines the object schema located at paths./v1/topups.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.
PostTopupsRequestBodypostTopupsRequestBodyAmount :: Intamount: A positive integer representing how much to transfer.
postTopupsRequestBodyCurrency :: Textcurrency: Three-letter ISO currency code, in lowercase. Must be a supported currency.
postTopupsRequestBodyDescription :: Maybe Textdescription: An arbitrary string attached to the object. Often useful for displaying to users.
Constraints:
Maximum length of 5000
postTopupsRequestBodyExpand :: Maybe [Text]expand: Specifies which fields in the response should be expanded.
postTopupsRequestBodyMetadata :: Maybe PostTopupsRequestBodyMetadata'Variantsmetadata: Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
postTopupsRequestBodySource :: Maybe Textsource: The ID of a source to transfer funds from. For most users, this should be left unspecified which will use the bank account that was set up in the dashboard for the specified currency. In test mode, this can be a test bank token (see Testing Top-ups).
Constraints:
Maximum length of 5000
postTopupsRequestBodyStatementDescriptor :: Maybe Textstatement_descriptor: Extra information about a top-up for the source's bank statement. Limited to 15 ASCII characters.
Constraints:
Maximum length of 15
postTopupsRequestBodyTransferGroup :: Maybe Texttransfer_group: A string that identifies this top-up as part of a group.
Eq PostTopupsRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTopupsShow PostTopupsRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTopupsFromJSON PostTopupsRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTopupsToJSON PostTopupsRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTopupsCreate a new PostTopupsRequestBody with all required fields.
Defines the oneOf schema located at paths./v1/topups.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
PostTopupsRequestBodyMetadata'EmptyStringRepresents the JSON value ""
PostTopupsRequestBodyMetadata'Object ObjectEq PostTopupsRequestBodyMetadata'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTopupsShow PostTopupsRequestBodyMetadata'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTopupsFromJSON PostTopupsRequestBodyMetadata'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTopupsToJSON PostTopupsRequestBodyMetadata'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTopupsRepresents a response of the operation postTopups.
The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostTopupsResponseError is used.
PostTopupsResponseError StringMeans either no matching case available or a parse error
PostTopupsResponse200 TopupSuccessful response.
PostTopupsResponseDefault ErrorError response.
Eq PostTopupsResponseDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTopupsShow PostTopupsResponseDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostTopups